/* Layout elements */
html {
	background: linear-gradient(180deg, #EDFAFF 0%, #8AD1EF 100%);
	background-repeat: no-repeat;
	background-attachment: fixed;
	font-size: 
}
body {
	background: transparent;
	font-family: "Helvetica Neue", "HelveticaNeue", "Inter", "Segoe UI", ui-sans-serif;
}

/* Navbar stuff */
div.nav {
	/*margin-bottom: 0;  */
}

nav {
	font-family: "Helvetica Neue", "HelveticaNeue", "DM Sans";
	display: flex;
	box-sizing: border-box;
	background: linear-gradient(180deg, #2A3D59 0%, #141C28 100%);
	height: 52px;
	width: 100%;
	position: absolute;
	left: 0;
	right: 0;
	top: 0;
	/* border-radius: 4px; */
}

ul.nav {
	display: flex;
	box-sizing: border-box;
	position: absolute;
	left: 0;
	right: 0;
	top: 0;
	list-style-type: none;
	margin-top: 10px;
	padding: 0;
}

ul.nav li {
	display: flex;
	padding: 0px 4px;
	align-items: leading;
	float: left;
	height: 32px;
	overflow: hidden;
}

ul.nav li a {
	text-decoration: none;
	text-shadow: 0px 1px 3px 0px rgba(0, 0, 0, 0.50);
	color: white;
	display: flex;
	height: 32px;
	padding: 0px 12px;
	justify-content: center;
	align-items: center;
	border-style: solid;
	border-width: 1px;
	border-radius: 4px;
	border-color: rgba(32, 66, 76, 1);
	box-sizing: border-box;
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
	background: rgba(0, 0, 0, 0.20);
	overflow: hidden;
	gap: 8px;
}

ul.nav li a img {
	height: 16px;
}

ul.nav li a:hover {
	background: linear-gradient(180deg, #121D37 0%, #184E6C 100%);
}

#current {
	background: linear-gradient(180deg, #13151F 0%, #2A3D59 100%);
}

#branding {
	font-family: Inter, "Segoe UI", ui-sans-serif;
	text-decoration: none;
	color: white;
	text-align: center;
	font-weight: 500;
	display: inline-flex;
	height: 32px;
	padding: 0px 12px;
	justify-content: center;
	align-items: center;
	gap: 10px;
}

#page-container {
	padding-top: 2px;
	margin-top: 52px;
	max-width: 90vw;
	margin-left: 5vw;
	margin-right: 5vw;
	align-self: center;
	height: auto !important;
	margin-bottom: -52px;
}

#page-container:after {
  content: "";
  display: block;
  height: 52px; /* the footer's total height */
}

/* end navbar stuff */
footer {
	margin-top: 52px;
	margin-bottom: 10px;
	font-size: 12px;
	text-align: center;
}
/* end layout elements */

/* Fonts */
h1, h2 {
	font-family: "Helvetica Neue", "HelveticaNeue-Light", "HelveticaNeue", "DM Sans";
}
h1 {
	font-weight: 400;
}
h2 {
	font-weight: 300;
}
/* End fonts */

/* misc */
#busstop {
	max-width: 404px;
	border-radius: 16px;
	z-index: -1;
	position: relative;
}
.fakeImage {
	border-radius: 16px;
	width: fit-content;
	height: fit-content;
	box-sizing: border-box;
	box-shadow: 0px 4px 24px 0px rgba(0, 0, 0, 0.25) inset;
}

#accountslist {
	font-family: "Helvetica Neue", "HelveticaNeue", "DM Sans";
	list-style-type: none;
	display: flex;
	flex-direction: column;
	gap: 8px;
	margin: 0;
	padding: 0;
}
#accountslist li {
	text-shadow: 0px 1px 3px 0px rgba(0, 0, 0, 0.50);
	color: white;
	display: flex;
	flex-direction: row;
	height: 24px;
	padding: 0px 8px;
	justify-content: center;
	align-items: center;
	border-radius: 4px;
	background: linear-gradient(180deg, #2A3D59 0%, #141C28 100%);
	width: fit-content;
	gap: 8px;
}
#accountslist li a {
	gap: 8px;
	display: flex;
	align-items: center;
	text-decoration: none;
	justify-content: space-between;
	text-shadow: 0px 1px 3px 0px rgba(0, 0, 0, 0.50);
	color: white;
	/* padding: 12px 12px; */
}
#accountslist li:hover {
	background: linear-gradient(180deg, #121D37 0%, #184E6C 100%);
}
#accountslist li a img {
	height: 16px;
}

